summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2015-11-18 21:08:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-18 23:22:48 +0700
commit9e8e7a451100a2a469d07f2b3705ca678e61074c (patch)
tree193bde34c3dbb02c9c7e4bf2bd6b2b9f4d1a9c53 /development
parenta5c93365ef214922aea401d86bbef6f903304bd9 (diff)
downloadslackbuilds-9e8e7a451100a2a469d07f2b3705ca678e61074c.tar.gz
slackbuilds-9e8e7a451100a2a469d07f2b3705ca678e61074c.tar.xz
development/atom: Updated for version 1.2.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/atom/atom.SlackBuild34
-rw-r--r--development/atom/atom.desktop14
-rw-r--r--development/atom/atom.info8
3 files changed, 34 insertions, 22 deletions
diff --git a/development/atom/atom.SlackBuild b/development/atom/atom.SlackBuild
index 93da323fdf..b8b6858775 100644
--- a/development/atom/atom.SlackBuild
+++ b/development/atom/atom.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=atom
-VERSION=${VERSION:-1.0.19}
+VERSION=${VERSION:-1.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -74,7 +74,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ "$DISABLE_METRICS" == "yes" ]; then
+if [ "$DISABLE_METRICS" = "yes" ]; then
sed -i '/"metrics":/d' package.json
fi
@@ -91,34 +91,32 @@ BUILD_DIR=$PWD/destbuild
PYTHON=python2 \
./script/grunt --build-dir=$BUILD_DIR --install-dir=$PKG/usr install
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# move apm symlink to atom-apm for prevent conflicts with apmd package.
mv $PKG/usr/bin/apm $PKG/usr/bin/atom-apm
-# move and configure icon and .desktop file
-mkdir -p $PKG/usr/share/pixmaps
-cp -a resources/atom.png \
- $PKG/usr/share/pixmaps
+# move and configure icons and .desktop file
+(
+ cd resources/app-icons/stable/png
+ for IMG in $(ls)
+ do
+ DIR_NAME=${IMG%.*}x${IMG%.*}
+ install -D $IMG $PKG/usr/share/icons/hicolor/$DIR_NAME/apps/$PRGNAM.png
+ done
+)
mkdir -p $PKG/usr/share/applications
-sed -e "s#<%= description %>#Hackable text editor#" \
- -e "s#<%= executable %>#/usr/bin/atom#" \
- -e "s#<%= iconName %>#atom#" \
- resources/linux/atom.desktop.in > \
- $PKG/usr/share/applications/atom.desktop
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-if [ "$DELETE_CACHE" == "yes" ]; then
+if [ "$DELETE_CACHE" = "yes" ]; then
# delete temporal data
rm -rf ~/.atom/
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar LICENSE.md README.md CONTRIBUTING.md docs \
+cp -ar LICENSE.md README.md CONTRIBUTING.md CHANGELOG.md docs \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > \
$PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/development/atom/atom.desktop b/development/atom/atom.desktop
new file mode 100644
index 0000000000..54e54d2d5e
--- /dev/null
+++ b/development/atom/atom.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Name=Atom
+Comment=A jackable text editor
+GenericName=Text Editor
+GenericName[es]=Editor de texto
+GenericName[it]=Editor di testo
+GenericName[pt]=Editor de texto
+Exec=/usr/bin/atom %U
+Icon=atom
+Type=Application
+StartupNotify=true
+Terminal=false
+Categories=GNOME;GTK;Utility;TextEditor;Development;
+MimeType=text/plain;
diff --git a/development/atom/atom.info b/development/atom/atom.info
index 9f18557698..4b189e9a84 100644
--- a/development/atom/atom.info
+++ b/development/atom/atom.info
@@ -1,10 +1,10 @@
PRGNAM="atom"
-VERSION="1.0.19"
+VERSION="1.2.1"
HOMEPAGE="https://atom.io/"
-DOWNLOAD="https://codeload.github.com/atom/atom/tar.gz/v1.0.19"
-MD5SUM="d747563b4f614a8c52ffa2b572631c22"
+DOWNLOAD="https://codeload.github.com/atom/atom/tar.gz/v1.2.1"
+MD5SUM="2b379b701e9554dfe1f3eb1455d2a441"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="node"
+REQUIRES="nodejs"
MAINTAINER="DhabyX"
EMAIL="slack.dhabyx@gmail.com"